NDB_SETUP.PY(1)

NAME
ndb_setup.py - Start browser-based Auti-Installer for MySQL Cluster

SYNOPSIS

ndb_setup.py [options]

DESCRIPTION

ndb_setup.py starts the MySQL Cluster Auto-Installer and opens the installer's Start page in the default Web browser.

This section describes usage of and program options for the command-line tool only. For information about using the Auto-Installer GUI that is spawned when ndb_setup.py is invoked, see Section 18.2.1, “The MySQL Cluster Auto-Installer”. Usage.PP All platforms:

    ndb_setup.py [options]

Additionally, on Windows platforms only:

    setup.bat [options]

The following table includes all options that are supported by the MySQL Cluster installation and configuration program ndb_setup.py. Additional descriptions follow the table.

Table 18.92. This table describes command-line options for the ndb_setup.py program
Format | Description | Added or Removed
--browser-start-page=filename, -s | Page that the web browser opens when starting. | All MySQL 5.6 based releases
--ca-certs-file=filename, -a | File containing list of client certificates allowed to connect to the server | All MySQL 5.6 based releases
--cert-file=filename, -c | File containing X509 certificate that identifies the server. (Default: cfg.pem) | All MySQL 5.6 based releases
--debug-level=level, -d | Python logging module debug level. One of DEBUG, INFO, WARNING (default), ERROR, or CRITICAL. | All MySQL 5.6 based releases
--help, -h | Print help message | All MySQL 5.6 based releases
--key-file=file, -k | Specify file containing private key (if not included in --cert-file) | All MySQL 5.6 based releases
--no-browser, -n | Do not open the start page in a browser, merely start the tool | All MySQL 5.6 based releases
--port=#, -p | Specify the port used by the web server | All MySQL 5.6 based releases
--server-log-file=file, o | Log requests to this file. Use '-' to force logging to stderr instead. | All MySQL 5.6 based releases
--server-name=name, -N | The name of the server to connect with | All MySQL 5.6 based releases
--use-https, -S | Use secure (HTTPS) client-server connection | All MySQL 5.6 based releases

    • --browser-start-page=file, -s
    Command-Line Format | --browser-start-page=filename
     | Permitted Values
     | Type | string
     | Default | index.html

    Specify the file to open in the browser as the installation and configuration Start page. The default is index.html.

    • --ca-certs-file=file, -a
    Command-Line Format | --ca-certs-file=filename
     | Permitted Values
     | Type | file name
     | Default | [none]

    Specify a file containing a list of client certificates which are allowed to connect to the server. The default is an empty string, which means that no client authentication is used.

    • --cert-file=file, -c
    Command-Line Format | --cert-file=filename
     | Permitted Values
     | Type | file name
     | Default | cfg.pem

    Specify a file containing an X509 certificate which identifies the server. It is possible for the certificate to be self-signed. The default is cfg.pem.

    • --debug-level=level, -d
    Command-Line Format | --debug-level=level
     | Permitted Values
     | Type | enumeration
     | Default | WARNING
     | Valid Values | DEBUG
     |  | INFO
     |  | ERROR
     |  | CRITICAL

    Set the Python logging module debug level. This is one of DEBUG, INFO, WARNING, ERROR, or CRITICAL. WARNING is the default.

    • --help, -h
    Command-Line Format | --help

    Print a help message.

    • --key-file=file, -d
    Command-Line Format | --key-file=file
     | Permitted Values
     | Type | file name
     | Default | [none]

    Specify a file containing the private key if this is not included in the X509 certificate file (--cert-file). The default is an empty string, which means that no such file is used.

    • --no-browser, -n
    Command-Line Format | --no-browser

    Start the installation and configuration tool, but do not open the Start page in a browser.

    • --port=#, -p
    Command-Line Format | --port=#
     | Permitted Values
     | Type | numeric
     | Default | 8081
     | Min Value | 1
     | Max Value | 65535

    Set the port used by the web server. The default is 8081.

    • --server-log-file=file, -o
    Command-Line Format | --server-log-file=file
     | o
     | Permitted Values
     | Type | file name
     | Default | ndb_setup.log
     | Valid Values | - (Log to stderr)

    Log requests to this file. The default is ndb_setup.log. To specify logging to stderr, rather than to a file, use a - (dash character) for the file name.

    • --server-name=host, -N
    Command-Line Format | --server-name=name
     | Permitted Values
     | Type | string
     | Default | localhost

    Specify the host name or IP address for the browser to use when connecting. The default is localhost.

    • --use-https, -S
    Command-Line Format | --use-https

    Make the browser use a secure (HTTPS) connection with the server.

COPYRIGHT

Copyright © 1997, 2014, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).